<html>
    <head>
        <meta charset="utf-8"/>
        <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes"/>
        <link rel="shortcut icon" type="image/x-icon" href="resources/images/favicon.ico"/>
        <link rel="shortcut icon" type="image/png" href="resources/images/favicon-16.png" sizes="16x16"/>
        <link rel="shortcut icon" type="image/png" href="resources/images/favicon-24.png" sizes="24x24"/>
        <link rel="shortcut icon" type="image/png" href="resources/images/favicon-32.png" sizes="32x32"/>
        <link rel="shortcut icon" type="image/png" href="resources/images/favicon-64.png" sizes="64x64"/>

        <title data-template="config:app-title"/>
        <meta name="description" content="y_simple translat"/>
        <meta name="pb-template" content="y_simple-translat.html"/>

        <!-- Attempt of a very simple template with 4 pb-views (breadcrumbs, custom metadata fields, latin text, and its French translation). Heavily inspired of dantiscus.html. Test and learning material.  -->

        <link rel="stylesheet" type="text/css" href="resources/fonts/font.css"/>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Oswald&amp;display=swap"/>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=EB+Garamond:ital@0;1&amp;display=swap"/>
        <link rel="stylesheet" href="resources/css/theme.css"/>


        <script type="module" src="pb-components-bundle.js" data-template="pages:load-components"/>
        <custom-style>
            <style>
                body {
                    --pb-alternate-inline: var(--paper-blue-800);

                    --pb-view-height: calc(100vh - 192px);
                }

                #view1, #view2 {
                    flex: 3 1;
                    max-width: 60vw;
                    margin: 0 16px;
                    max-height: var(--pb-view-height);
                    overflow: auto;
                }

                #metadata {
                    background-color:#d1dae0;
                    min-height:100px;
                    margin-top:15px;
                    margin-bottom:15px;
                    padding:10px;
                    overflow:hidden;
                    margin-right: 40%;

                }


                .content-body {
                    position: relative;
                    display: flex;
                    justify-content: center;
                    padding: 0 20px;
                }

                .content-body pb-view {
                    flex: 1 1;
                }

                .toc-toggle, pb-navigation {
                    display: none;
                }
            </style>


        </custom-style>
    </head>

    <body>
        <pb-page data-template="pages:pb-page" unresolved="unresolved">
            <pb-document id="document1" data-template="pages:pb-document"/>
            <app-drawer-layout force-narrow="force-narrow">
                <app-drawer data-template="lib:include" data-template-path="templates/drawer.html"/>
                <app-header-layout>

                    <app-header slot="header" reveals="reveals" fixed="fixed" effects="waterfall">
                        <app-toolbar data-template="lib:include" data-template-path="templates/menu.html"/>
                        <app-toolbar data-template="lib:include" data-template-path="templates/toolbar.html"/>
                    </app-header>


                    <section class="breadcrumbs">
                        <pb-view id="title-view1" src="document1" xpath="//teiHeader" odd="weller" view="single">
                            <pb-param name="header" value="short"/>
                        </pb-view>
                    </section>

                         <!-- adding a Metadata section : note the xpath expression restriction and view="single" : no pagination applied -->

                        <pb-view id="metadata" src="document1" xpath="//teiHeader" view="single" odd="weller">
                             <pb-param name="header" value="detailed"/>
                        </pb-view>


                    <!-- "! (.//text[@xml:lang = 'la']/body | .//text/body)[1]" -->

                    <main class="content-body">
                        <pb-view id="view1" src="document1" xpath="//text[@xml:lang='la']/body" column-separator=".tei-cb" append-footnotes="append-footnotes" subscribe="transcription" emit="transcription" view="single"/>
                        <pb-view id="view2" src="document1" xpath="//text[@xml:lang='fr']/body" subscribe="transcription" column-separator=".tei-cb" append-footnotes="append-footnotes" view="single"/>
                    </main>

                </app-header-layout>
            </app-drawer-layout>
        </pb-page>
        <div class="splash"/>
    </body>
</html>
